Enumerations

# smallmap_widget.h File Reference

Types related to the smallmap widgets. More...

Go to the source code of this file.

## Enumerations
enum | SmallMapWidgets { WID_SM_CAPTION, WID_SM_MAP_BORDER, WID_SM_MAP, WID_SM_LEGEND, WID_SM_ZOOM_IN, WID_SM_ZOOM_OUT, WID_SM_CONTOUR, WID_SM_VEHICLES, WID_SM_INDUSTRIES, WID_SM_ROUTES, WID_SM_VEGETATION, WID_SM_OWNERS, WID_SM_CENTERMAP, WID_SM_TOGGLETOWNNAME, WID_SM_SELECT_BUTTONS, WID_SM_ENABLE_ALL, WID_SM_DISABLE_ALL, WID_SM_SHOW_HEIGHT }
| Widgets of the SmallMapWindow class. More...

## Detailed Description

Types related to the smallmap widgets.

Definition in file smallmap_widget.h.

## Enumeration Type Documentation

enum SmallMapWidgets

Widgets of the SmallMapWindow class.

Enumerator:

  WID_SM_CAPTION | Caption of the window.
  WID_SM_MAP_BORDER | Border around the smallmap.
  WID_SM_MAP | Panel containing the smallmap.
  WID_SM_LEGEND | Bottom panel to display smallmap legends.
  WID_SM_ZOOM_IN | Button to zoom in one step.
  WID_SM_ZOOM_OUT | Button to zoom out one step.
  WID_SM_CONTOUR | Button to select the contour view (height map).
  WID_SM_VEHICLES | Button to select the vehicles view.
  WID_SM_INDUSTRIES | Button to select the industries view.
  WID_SM_ROUTES | Button to select the routes view.
  WID_SM_VEGETATION | Button to select the vegetation view.
  WID_SM_OWNERS | Button to select the owners view.
  WID_SM_CENTERMAP | Button to move smallmap center to main window center.
  WID_SM_TOGGLETOWNNAME | Toggle button to display town names.
  WID_SM_SELECT_BUTTONS | Selection widget for the buttons present in some smallmap modes.
  WID_SM_ENABLE_ALL | Button to enable display of all legend entries.
  WID_SM_DISABLE_ALL | Button to disable display of all legend entries.
  WID_SM_SHOW_HEIGHT | Show heightmap toggle button.

Definition at line 16 of file smallmap_widget.h.